Bug 65424 - Foomatic Driver for Brother HL-1440 Incorrect
Foomatic Driver for Brother HL-1440 Incorrect
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: foomatic (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-23 14:54 EDT by Jim Shanks
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-07 12:10:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jim Shanks 2002-05-23 14:54:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
Brother HL-1440 will not print correctly at resolutions above 300x300.  If
600x600dpi is selected, the test page printed will be the upper-left quarter of
the page at 4x normal size.  If 600x1200dpi is selected, a blank page is
printed.  Seems the driver does not correctly set the resolution, but does send
the information.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Create LPR or CUPS printer using the foomatic Brother HL-1440 driver.
2.Set resolution on the printer to 600x600 or 600x1200
3.Print a test page
	

Actual Results:  Test page printed at 600x600 has very large print (4x) and only
1/4 of the information will fit on the page.

Expected Results:  Normal test page (as in 300x300 mode)

Additional info:

I've searched the foomatic database on LinuxPrinting.org and found that while
the Brother HL-1440 is listed as "working perfectly" the driver file show it to
be "untested".  Seems to me that it should actually be tested before listed as
working perfectly.  Also, the HP drivers produce the same problem as the Brother
driver.  Maybe Brother is using a non-standard code sequence to switch to the
higher resolutions.
Comment 2 W. Michael Petullo 2004-09-15 21:48:46 EDT
Fixed in foomatic-3.0.1-11/ghostscript-7.07-31 (actually much earlier,
I'm sure).  I can print using any resolution using the hl1250 driver.

Note You need to log in before you can comment on or make changes to this bug.